<div *ngIf="!customer" class="d-flex justify-content-center h-100">
  <div class="spinner-border m-auto" role="status">
    <span class="sr-only">Loading...</span>
  </div>
</div>

<div *ngIf="customer" class="row justify-content-between mb-4">
  <div class="col-lg-12 col-md-12 col-sm-12 mb-3">
    <div class="d-flex align-items-center">
      <button [routerLink]="[previousRoute]" class="btn btn-basic mr-3">
        <fa-icon [icon]="icons.faChevronLeft"></fa-icon>
      </button>
      <h2 class="mb-0">{{customer.first_name}} {{customer.last_name}}</h2>
    </div>
    <!--    <h1><fa-icon [icon]="['far', 'star']"></fa-icon>{{customer.name}}</h1>-->
  </div>
  <div class="col-lg-12 col-md-12 col-sm-12">
    <form #customerForm="ngForm" (ngSubmit)="update(customerForm)">
      <div class="row">
        <div class="col-md-12">
          <div class="form-group">
            <div class="row mb-3">
              <div class="col-md-4">
                <label for="last_name">Nom</label>
                <input id="last_name" class="form-control" name="last_name" type="text" minlength="2" maxlength="50" required [ngModel]="customer.last_name">
              </div>
              <div class="col-md-4">
                <label for="first_name">Prénom</label>
                <input id="first_name" class="form-control" name="first_name" type="text" minlength="2" maxlength="50" required [ngModel]="customer.first_name">
              </div>
            </div>
            <div class="row mb-3">
              <div class="col-md-4">
                <label for="email">Email</label>
                <input id="email" class="form-control" name="email" type="email" maxlength="60" required [ngModel]="customer.email">
              </div>
              <div class="col-md-4">
                <label for="phone">Téléphone</label>
                <input id="phone" class="form-control" name="phone" type="text"  minlength="7" maxlength="15" required [ngModel]="customer.phone">
              </div>
            </div>
            <div class="row mb-3">
              <div class="col-md-4">
                <label for="address">Adresse</label>
                <input id="address" class="form-control" name="address" type="text" minlength="5" maxlength="80" required [ngModel]="customer.address">
              </div>
            </div>
          </div>
        </div>
      </div>
      <button class="btn btn-info" type="submit" [disabled]="!customerForm.form.valid">Mettre à jour</button>
    </form>
  </div>
</div>
